import axios from 'axios'
export default {
  // 缓存时间为一天
  cacheMaxAgeSeconds: 60 * 60 * 24,
  // 自动检测最后更新时间
  autoLastmod: true,
  // 排除的链接
  exclude: [],
  // 发起请求获取链接
  urls: async () => {
    return await axios.post(`${import.meta.env.VITE_API_URL}/search`, {
      page: 1,
      capacity: 100,
      model: ''
    })
      .then(res => {
        if (res.data.code !== 200) {
          throw new Error(res.data.message)
        }
        // 循环构建地址
        return res.data.data.articlePage.records.map(article => {
          return `/article/${article.uid}`
        })
      })
      .catch(e => {
        console.error(e)
      })
  }
}

